/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workevaluationroom.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workevaluationroom.entity.WorkEvaluationRoom;
import com.jeeplus.modules.workevaluationroom.dao.WorkEvaluationRoomDao;

/**
 * 评标室管理Service
 * @author 杨帆
 * @version 2017-12-28
 */
@Service
@Transactional(readOnly = true)
public class WorkEvaluationRoomService extends CrudService<WorkEvaluationRoomDao, WorkEvaluationRoom> {

	public WorkEvaluationRoom get(String id) {
		return super.get(id);
	}
	
	public List<WorkEvaluationRoom> findList(WorkEvaluationRoom workEvaluationRoom) {
		return super.findList(workEvaluationRoom);
	}
	
	public Page<WorkEvaluationRoom> findPage(Page<WorkEvaluationRoom> page, WorkEvaluationRoom workEvaluationRoom) {
		return super.findPage(page, workEvaluationRoom);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkEvaluationRoom workEvaluationRoom) {
		super.save(workEvaluationRoom);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkEvaluationRoom workEvaluationRoom) {
		super.delete(workEvaluationRoom);
	}
	
	
	
	
}